MKFONTDIR(1)

NAME
mkfontdir - create a fonts.dir file for a directory of font files

SYNOPSIS
mkfontdir [directory-names]

DESCRIPTION

For each directory argument, mkfontdir reads all of the font files in the directory searching for properties named "FONT", or (failing that) the name of the file stripped of its suffix. These are used as font names, which are written out to the file fonts.dir in the directory along with the name of the font file.

Mkfontdir will read Xarm(1) format SNF (suffix .snf), compressed SNF (suffix .snf.Z), BDF (suffix .bdf), and compressed BDF (suffix .bdf.Z) files. If a font exists in multiple formats, the one given first in the preceding list will be used.

FONT NAME ALIASES

The file fonts.alias can be put in any directory of the font-path to map alternate font names to existing fonts. The format consists of two white-space separated columns, the first containing the alias and the second containing a corresponding font-name pattern.

When a font alias is used, the named font is searched for in the normal manner, looking through each font directory in turn. This means that the aliases need not mention fonts in the same directory as the alias file.

To embed white-space in either name, simply enclose them in double-quote marks, to embed double-quote marks (or any other character), precede them with back-slash:

"magic-alias with spaces"	"\"font\name\" with quotes"
regular-alias			fixed

If the string "FILE_NAMES_ALIASES" stands alone on a line, each file-name in the directory (stripped of it's .snf suffix) will be used as an alias for that font.

USAGE

Xarm(1) looks for both fonts.dir and fonts.alias in each directory in the font path each time it is set (see xset(1)).

SEE ALSO
X(1), Xserver(1), Xarm(1), xset(1)